org.apache.derby.jdbc

## Class BasicEmbeddedConnectionPoolDataSource40

- java.lang.Object
- - org.apache.derby.jdbc.BasicEmbeddedDataSource40
  - - org.apache.derby.jdbc.BasicEmbeddedConnectionPoolDataSource40

- All Implemented Interfaces:
    Serializable, Wrapper, CommonDataSource, ConnectionPoolDataSource, DataSource, org.apache.derby.jdbc.EmbeddedConnectionPoolDataSourceInterface, org.apache.derby.jdbc.EmbeddedDataSourceInterface

      public class BasicEmbeddedConnectionPoolDataSource40
      extends BasicEmbeddedDataSource40
      implements ConnectionPoolDataSource, org.apache.derby.jdbc.EmbeddedConnectionPoolDataSourceInterface

  This data source is suitable for an application using embedded Derby, running on Java 8 Compact Profile 2 or higher.

  BasicEmbeddedConnectionPoolDataSource40 is similar to EmbeddedConnectionPoolDataSource40 except it does not support JNDI naming, i.e. it does not implement `javax.naming.Referenceable`.
  See Also:
    `EmbeddedConnectionPoolDataSource40`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicEmbeddedConnectionPoolDataSource40()` No-argument constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PooledConnection` | `getPooledConnection()`
    `PooledConnection` | `getPooledConnection(String username, String password)`

    - ### Methods inherited from class org.apache.derby.jdbc.BasicEmbeddedDataSource40

      `equals, getAttributesAsPassword, getConnection, getConnection, getConnectionAttributes, getCreateDatabase, getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getParentLogger, getPassword, getShutdownDatabase, getUser, hashCode, isWrapperFor, setAttributesAsPassword, setConnectionAttributes, setCreateDatabase, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setShutdownDatabase, setUser, unwrap`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.derby.jdbc.EmbeddedDataSourceInterface

      `getAttributesAsPassword, getConnectionAttributes, getCreateDatabase, getDatabaseName, getDataSourceName, getDescription, getPassword, getShutdownDatabase, getUser, setAttributesAsPassword, setConnectionAttributes, setCreateDatabase, setDatabaseName, setDataSourceName, setDescription, setPassword, setShutdownDatabase, setUser`

    - ### Methods inherited from interface javax.sql.DataSource

      `getConnection, getConnection`

    - ### Methods inherited from interface javax.sql.CommonDataSource

      `getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Constructor Detail

    - #### BasicEmbeddedConnectionPoolDataSource40

          public BasicEmbeddedConnectionPoolDataSource40()

      No-argument constructor.

  - ### Method Detail

    - #### getPooledConnection

          public final PooledConnection getPooledConnection()
                                                     throws SQLException

      Specified by:
        `getPooledConnection` in interface `ConnectionPoolDataSource`
      Throws:
        `SQLException`

    - #### getPooledConnection

          public final PooledConnection getPooledConnection(String username,
                                                            String password)
                                                     throws SQLException

      Specified by:
        `getPooledConnection` in interface `ConnectionPoolDataSource`
      Throws:
        `SQLException`

Apache Derby 10.13 API Documentation - Copyright © 2004,2016 The Apache Software Foundation. All Rights Reserved.